Package com.sun.speech.freetts.relp

# Class UnitConcatenator

java.lang.Object
com.sun.speech.freetts.relp.UnitConcatenator

All Implemented Interfaces:
  `UtteranceProcessor`

public class UnitConcatenator extends Object implements UtteranceProcessor
Concatenates the Units in the given Utterance to the target_lpc result. This class is an UtteranceProcessor. It defines a method `processUtterance` that helps populate the target_lpcres relation.

See Also:
  - `LPCResult`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PROP_OUTPUT_LPC`

## Constructor Summary

Constructors
Constructor
Description
`UnitConcatenator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`processUtterance(Utterance utterance)`
Concatenate the Units in the given Utterance to the target_lpc result.
`String`
`toString()`
Converts this object to a string

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PROP_OUTPUT_LPC

public static final String PROP_OUTPUT_LPC

See Also:
  - Constant Field Values

## Constructor Details

### UnitConcatenator

public UnitConcatenator()

## Method Details

### processUtterance

public void processUtterance(Utterance utterance) throws ProcessException
Concatenate the Units in the given Utterance to the target_lpc result.

Specified by:
  `processUtterance` in interface `UtteranceProcessor`
Parameters:
  `utterance` - the Utterance to do concatenation
Throws:
  `ProcessException` - if an error occurs while processing the utterance
See Also:
  - `LPCResult`

### toString

public String toString()
Converts this object to a string

Overrides:
  `toString` in class `Object`
Returns:
  the string form of this object.